- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# CIAO Namespace Reference

Monitor Interface. More...

## Classes
class | Deployment_Configuration
class | DomainApplicationManager_Impl
| A servant for the Deployment::DomainApplicationManager interface. The DomainApplicationManager is responsible for deploying an application on the domain level, i.e. across nodes. It specializes the ApplicationManager abstract interface. More...
interface | ExecutionManagerDaemon
| CIAO Execution Manager Program. More...
interface | NodeManagerDaemon
| CIAO daemon process control program. More...
class | NodeApplication_Options
| An class for managing and extracting command line options for NodeApplication. More...
class | Container_Impl
| Servant implementation for the interface Deployment::Container. More...
class | NodeApp_Configurator
| This class defines and implements the default NodeApp_Configurator base class that's needed for configuring the NodeApplication process. More...
class | NodeApplication_Core
| An ACE_Task subclass that allow the ORB thread to be run as separate thread when RT behaviors are needed. More...
class | NodeApplication_Impl
class | NoOp_Configurator
class | RTResource_Config_Manager
| RTResource_Config_Manager maintains a collection of RTCORBA related resources. More...
class | RTNodeApp_Configurator
| This class implements a concrete NodeApp_Configurator for setting up the NodeApplication process for RT support. More...
class | Containers_Info_Map
class | NodeImplementationInfoHandler
class | NodeApplicationManager_Impl_Base
class | NodeApplicationManager_Impl
class | Static_NodeApplicationManager_Impl
class | MonitorBase
class | CIAO_Monitor
| The Monitor class. More...
class | MonitorCB
| Updates data back to the TM. More...
class | MonitorController
| The Controller class. More...
class | NAM_Map
| Implementation of a map of NodeApplicationManagers. More...
class | NodeManager_Impl_Base
class | NodeManager_Impl
| Servant implementation CIAO's daemon process control interface. More...
class | Static_NodeManager_Impl
interface | RepositoryManagerDaemon
class | NodeApplication_Task
class | DomainDataManager
| Responsible for maintaining the Domain Information. More...
struct | Host_Info
struct | Component_Info
interface | TargetManagerExt
| The Target Manager Extension. More...
## Namespaces
namespace | Execution_Manager
namespace | Plan_Launcher
namespace | RTServer
## Typedefs
typedef int(MonitorCB::*) | CallBack (::Deployment::Domain &)
| The Callback function pointer.
typedef MonitorBase *(*) | MonitorFactory (void)
typedef sequence< Host_Info > | Host_Infos
| The sequence of CPU infos.
typedef sequence< Component_Info > | Component_Infos
| The sequence of component cpu utilization.
## Functions
ACE_Proper_Export_Flag CIAO::MonitorBase * | createMonitor (void)
ACE_Proper_Export_Flag CIAO::MonitorBase * | createMonitor ()
## Variables
const char * | monitor_lib_name = "ciaomonlib"
| for the CIAO monitor
const int | interval = 10
static const char * | factory_func = "createMonitor"

## Detailed Description

Monitor Interface.

CIAO

## Typedef Documentation

typedef int(MonitorCB::*) CIAO::CallBack(::Deployment::Domain &)

The Callback function pointer.

typedef MonitorBase*(*) CIAO::MonitorFactory(void)

typedef sequence<Host_Info> CIAO::Host_Infos

The sequence of CPU infos.

typedef sequence<Component_Info> CIAO::Component_Infos

The sequence of component cpu utilization.

## Function Documentation

ACE_Proper_Export_Flag CIAO::MonitorBase* CIAO::createMonitor | ( | void |  | ) |

ACE_Proper_Export_Flag CIAO::MonitorBase* CIAO::createMonitor | ( | void |  | ) |

## Variable Documentation

const char* CIAO::monitor_lib_name = "ciaomonlib"

for the CIAO monitor

const int CIAO::interval = 10

const char* CIAO::factory_func = "createMonitor"`[static]`